import request from '@/utils/request'

// 查询资产与运营列表
export function listAsset(query) {
  return request({
    url: '/sems/asset/list',
    method: 'get',
    params: query
  })
}

// 查询资产与运营详细
export function getAsset(id) {
  return request({
    url: '/sems/asset/' + id,
    method: 'get'
  })
}

// 新增资产与运营
export function addAsset(data) {
  return request({
    url: '/sems/asset',
    method: 'post',
    data: data
  })
}

// 修改资产与运营
export function updateAsset(data) {
  return request({
    url: '/sems/asset',
    method: 'put',
    data: data
  })
}

// 删除资产与运营
export function delAsset(id) {
  return request({
    url: '/sems/asset/' + id,
    method: 'delete'
  })
}

// 导出资产与运营
export function exportAsset(query) {
  return request({
    url: '/sems/asset/export',
    method: 'get',
    params: query
  })
}